Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm.tool
Class FragmentLoader

    java.lang.Object
      org.jasig.portal.layout.alm.tool.FragmentLoader

    public class FragmentLoader

extends java.lang.Object

A utility class to load pushed fragment configuration into the database used by the pushfragment ant target. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout.utils. It was moved to its present package to reflect that it is primarily a tool with a main() method intended to be used outside the context of a running uPortal instance and to reflect that this functionality is in support of Aggregated Layouts.

Since:
  uPortal 2.5
Version:
  1.0 $Revision: 1.2.2.1 $ $Date: 2006/02/01 18:08:07 $
Author:
  Peter Kharchenko, Michael Ivanov

Nested Class Summary
`private static class` | `FragmentLoader.ConfigFilter` A filter that will perform the following functions: - intercept and verify restriction names, writing out ids - intercept and verify user group names, writing out ids
`private static class` | `FragmentLoader.DbCleaner` Cleans up the tables contained the old data of the fragments to be reloaded It is used before the DbLoader utility is called

Field Summary
`(package private) static java.lang.String` | `configXSL`

Constructor Summary
`FragmentLoader()`

Method Summary
`(package private) static java.lang.String` | `getGroupKey(java.lang.String groupName)` Attempts to determine group key based on a group name.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configXSL

    static final java.lang.String configXSL

See Also:
  Constant Field Values

Constructor Detail

### FragmentLoader

    public FragmentLoader()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getGroupKey

    static java.lang.String getGroupKey(java.lang.String groupName)
                                 throws java.lang.Exception

  Attempts to determine group key based on a group name. If the group key can not be determined in a unique way, the method will terminate!

  Parameters:
    `groupName` - a `String` value
  Returns:
    a group key
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD